%define upstream_name    MooseX-Traits-Pluggable
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    An extension to MooseX::Traits
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::MOP)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Traits)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl-Test-use-ok

BuildArch: noarch
Requires:  perl(MooseX::Traits)

%{?perl_default_filter}

%description
See the MooseX::Traits manpage for usage information.

Adds support for class precedence search for traits and some extra
attributes, described below.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-6.mga6
+ Revision: 1030671
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.120.0-5.mga6
+ Revision: 931950
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 743984
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.120.0-3.mga5
+ Revision: 735858
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-2.mga5
+ Revision: 685574
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 0.120.0-1.mga5
+ Revision: 587488
- update to 0.12

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 513257
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 370313
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 40001
- mageia rebuild
- imported package perl-MooseX-Traits-Pluggable


* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2011.0
+ Revision: 561945
- update to 0.10

* Mon Feb 08 2010 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2011.0
+ Revision: 502105
- update to 0.09

* Fri Aug 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 421831
- update to 0.08

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.0
+ Revision: 399267
- update to 0.07

* Thu Jul 23 2009 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2010.0
+ Revision: 398852
- update to 0.06
- fixed license field

* Wed Jun 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.40.0-2mdv2010.0
+ Revision: 388823
- fix dependencies

* Sun Jun 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 387835
- import perl-MooseX-Traits-Pluggable


* Sun Jun 21 2009 cpan2dist 0.04-1mdv
- initial mdv release, generated with cpan2dist

